Projects
Get all imported git repositories in this project
Get all imported git repositories in this project. Required permissions: ListProject
GET
/
api
/
projects
/
v1
/
projects
/
{projectId}
/
repositories
Get all imported git repositories in this project
curl --request GET \
--url https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/repositories \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/repositories"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/repositories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>",
"limit": 123,
"offset": 123,
"totalCount": 123
},
"repositories": [
{
"defaultRef": {
"refType": "head",
"value": "<string>"
},
"id": "62604702b7e5d347dbe7a908",
"serviceProvider": "bitbucket",
"uri": "https://github.com/torvalds/linux",
"name": "<string>"
}
]
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Path Parameters
Project ID
Query Parameters
How many Projects from the start to skip. Defaults to 0.
Max number of Projects to fetch. Defaults to 10.
Last modified on June 26, 2026
Related topics
Add an imported git repository to this projectResolve a git reference to a commit SHA for an imported repositoryGit-based ProjectsManage ProjectsWas this page helpful?
⌘I
Get all imported git repositories in this project
